Package tigase.server.ext.handlers

## Class UnknownXMLNSStreamOpenHandler

- java.lang.Object
- - tigase.server.ext.handlers.UnknownXMLNSStreamOpenHandler

- All Implemented Interfaces:
    `StreamOpenHandler`

      public class UnknownXMLNSStreamOpenHandler
      extends java.lang.Object
      implements StreamOpenHandler

  Created: Oct 2, 2009 5:18:44 PM
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from interface tigase.server.ext.StreamOpenHandler

      `XMLNS_KEY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnknownXMLNSStreamOpenHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getXMLNSs()` |
    `java.lang.String` | `serviceStarted​(ComponentIOService s)` |
    `java.lang.String` | `streamOpened​(ComponentIOService serv, java.util.Map<java.lang.String,​java.lang.String> attribs, ComponentProtocolHandler handler)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownXMLNSStreamOpenHandler

          public UnknownXMLNSStreamOpenHandler()

  - ### Method Detail

    - #### getXMLNSs

          public java.lang.String[] getXMLNSs()

      Specified by:
        `getXMLNSs` in interface `StreamOpenHandler`

    - #### serviceStarted

          public java.lang.String serviceStarted​(ComponentIOService s)

      Specified by:
        `serviceStarted` in interface `StreamOpenHandler`

    - #### streamOpened

          public java.lang.String streamOpened​(ComponentIOService serv,
                                               java.util.Map<java.lang.String,​java.lang.String> attribs,
                                               ComponentProtocolHandler handler)

      Specified by:
        `streamOpened` in interface `StreamOpenHandler`